Package org.eclipse.net4j.util.security.operations

# Class AuthorizableOperationImpl

java.lang.Object
org.eclipse.net4j.util.security.operations.AuthorizableOperationImpl

public final class AuthorizableOperationImpl extends Object

Since:
  3.16
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`AuthorizableOperationImpl(String id)`
`AuthorizableOperationImpl(ExtendedDataInput in)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`final String`
`getID()`
`Object`
`getParameter(String key)`
`Map<String,Object>`
`getParameters()`
`int`
`hashCode()`
`AuthorizableOperationImpl`
`parameter(String key, Object value)`
`String`
`toString()`
`void`
`write(ExtendedDataOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorizableOperationImpl

public AuthorizableOperationImpl(String id)

### AuthorizableOperationImpl

public AuthorizableOperationImpl(ExtendedDataInput in) throws IOException

Throws:
  `IOException`

## Method Details

### getID

public final String getID()

### parameter

public AuthorizableOperationImpl parameter(String key, Object value)

### getParameter

public Object getParameter(String key)

### getParameters

public Map<String,Object> getParameters()

### write

public void write(ExtendedDataOutput out) throws IOException

Throws:
  `IOException`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`